<template>
    <div>
      <div style="margin-top: 60px">
        <h1 class="mx-auto mt-3">Episodes</h1>
      </div>
      <v-container >
       <v-row v-for="item in episodes" :key="item.id">
         <episode-card :episode="item"/>
        </v-row>
      </v-container>
      <v-container>
       <pagination-custom v-if="info != null" @goTo="goTo" :info="info" :type="'episode'"></pagination-custom>
      </v-container>
    </div>
</template>

<script>
import EpisodeCard from '../components/cards/episodeCard.vue';
import PaginationCustom from '../components/pagination/paginationCustom.vue';
export default {
  name: 'App',
  components: {
    PaginationCustom,
    EpisodeCard },
  mounted(){
    this.printEpisodes('https://rickandmortyapi.com/api/episode');
  },
  data: () => ({
    info: null,
    episodes: null,

  }),
  methods: {
    async printEpisodes(page){
      var listOfEpisodes = await this.$axios.$get(page);
      this.info = listOfEpisodes.info;
      this.episodes = listOfEpisodes.results;
    },
    goTo(page){
      this.printEpisodes(page);
    },
  }
};
</script>
<style>

</style>
